Get a channel's info and stats
curl --request POST \
--url https://api.stophy.dev/v1/kick/channel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"channel": "xqc"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({channel: 'xqc'})
};
fetch('https://api.stophy.dev/v1/kick/channel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.stophy.dev/v1/kick/channel"
payload = { "channel": "xqc" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"data": {
"channel": {
"url": "<string>",
"isVerified": true,
"isAffiliate": true,
"isBanned": true,
"id": "<string>",
"username": "<string>",
"name": "<string>",
"bio": "<string>",
"avatar": "<string>",
"banner": "<string>",
"followers": 0,
"socials": [
{
"name": "<string>",
"username": "<string>"
}
],
"recentCategories": [
{
"name": "<string>",
"slug": "<string>"
}
],
"live": {
"isMature": true,
"id": "<string>",
"title": "<string>",
"viewers": 0,
"startedAt": "2023-11-07T05:31:56Z",
"language": "<string>",
"categories": [
{
"name": "<string>",
"slug": "<string>"
}
]
}
}
},
"creditsUsed": 123,
"requestId": "<string>"
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}Kick
Kick channel API
Call the Kick channel API to get username, name, bio, avatar, banner and followers, as JSON or markdown. 1 credit.
POST
/
v1
/
kick
/
channel
Get a channel's info and stats
curl --request POST \
--url https://api.stophy.dev/v1/kick/channel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"channel": "xqc"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({channel: 'xqc'})
};
fetch('https://api.stophy.dev/v1/kick/channel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.stophy.dev/v1/kick/channel"
payload = { "channel": "xqc" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"data": {
"channel": {
"url": "<string>",
"isVerified": true,
"isAffiliate": true,
"isBanned": true,
"id": "<string>",
"username": "<string>",
"name": "<string>",
"bio": "<string>",
"avatar": "<string>",
"banner": "<string>",
"followers": 0,
"socials": [
{
"name": "<string>",
"username": "<string>"
}
],
"recentCategories": [
{
"name": "<string>",
"slug": "<string>"
}
],
"live": {
"isMature": true,
"id": "<string>",
"title": "<string>",
"viewers": 0,
"startedAt": "2023-11-07T05:31:56Z",
"language": "<string>",
"categories": [
{
"name": "<string>",
"slug": "<string>"
}
]
}
}
},
"creditsUsed": 123,
"requestId": "<string>"
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}- Endpoint:
kick.channel - Returns:
datahaschannel. - Cost: 1 credit. Failed calls cost nothing.
- Paging: No.
Example
import { Stophy } from "stophy";
const stophy = new Stophy({ apiKey: process.env.STOPHY_API_KEY });
const result = await stophy.kick.channel({ channel: "xqc" });
console.log(result.data.channel);
from stophy import Stophy
stophy = Stophy() # reads STOPHY_API_KEY
result = stophy.kick.channel(channel="xqc")
print(result["data"]["channel"])
curl -X POST https://api.stophy.dev/v1/kick/channel \
-H "Authorization: Bearer $STOPHY_API_KEY" \
-H "content-type: application/json" \
-d '{"channel":"xqc"}'
stophy kick channel xqc
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json